# PetscViewerVUSetMode

Sets the mode in which to open the file.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerVUSetMode(PetscViewer viewer, PetscFileMode mode)

Not Collective

### Input Parameters

| viewer | - The PetscViewer
| mode | - The file mode

### Keywords

Viewer, file, get, pointer

### See Also

PetscViewerASCIISetMode()

Level:intermediate
Location: src/sys/viewer/impls/vu/petscvu.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages